# HG changeset patch
# User Scott Talbert <swt@techie.net>
# Date 1465356035 14400
#      Tue Jun 07 23:20:35 2016 -0400
# Node ID 7330d004064e3f7ccbbcba290afb47990d4db4ee
# Parent  1da474e6ccc12346dea5e5fdc05fd76736f088bd
Avoid casting duplicated superclasses

diff -r 1da474e6ccc1 -r 7330d004064e sipgen/gencode.c
--- a/sipgen/gencode.c	Wed Apr 13 10:42:23 2016 +0100
+++ b/sipgen/gencode.c	Tue Jun 07 23:20:35 2016 -0400
@@ -5937,7 +5937,7 @@
 
         for (mro = cd->mro; mro != NULL; mro = mro->next)
         {
-            if (needsCast(mro))
+            if (needsCast(mro) && !isDuplicateSuper(mro) && !hasDuplicateSuper(mro))
             {
                 prcode(fp,
 "    if (targetType == sipType_%C)\n"
